Subject: Re: bug#13460: Issue to change dictionary when using hunspell on emacs

From: Agustin Martin <[email-masked]>
Date: Fri, 18 Jan 2013 20:23:45 +0100

On Fri, Jan 18, 2013 at 09:03:17PM +0200, Eli Zaretskii wrote:
> > Date: Fri, 18 Jan 2013 19:03:34 +0100
> > From: Jochen Schmitt <[email-masked]>
> > 
> > I have find out, that hunspell wiel accecpt -d en_GB,en_US as
> > an parameter, so this issue may be fixed.
> 
> Beware: when you invoke hunspell like that, it uses the .aff file from
> the first dictionary only, and ignores any .aff files of the other
> dictionaries.  This could bite you where US and GB English differ.
> 
> In general, this option is meant to support _additional_ dictionaries
> in the same language, like if you want to use a specialized dictionary
> for medicine or some other discipline, together with a general-purpose
> dictionary for the same language.

Replied to Jochen message just before receiving your message and noticing that
I forgot that this indeed was for additional dictionaries and that only
first aff is used, thanks for reminding.

I can now think about another possible problem with this. hunspell accepts
both hunspell only and old myspell dicts. If e.g. en_GB has a myspell aff
file (and .dic file for that .aff file) and en_US a hunspell only one (and
associated .dic file for it), when using "-d en_GB,en_US" interaction may
become at least strange if not unpredictable.

-- 
Agustin